Article ID: 117998, created on Oct 16, 2013, last review on Aug 12, 2014

  • Applies to:
  • Operations Automation 5.5


When trying to use the pem.apache.updateLimits OpenAPI method on the POA 5.5 installation the following error message is thrown:

Server error. Method 'pem.apache.updateLimits' not found.

The example of the problem is provided below:

# curl -d@pem.apache.updateLimits.xml http://localhost:8440/RPC2
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse><fault><value><struct><member><name>faultCode</name><value><i4>-32601</i4></value></member><member><name>faultString</name><value><string>Server error. Method 'pem.apache.updateLimits' not found.</string></value></member></struct></value></fault></methodResponse>


The 'pem.apache.updateLimits' OpenAPI method was removed from the POA 5.5. The method was required for updating Apache webspace limits in the previous versions of POA because limits were stored in activation parameters of the resource type based on the 'Physical hosting (Apache)' resource class, there was no easy way to change webspace limits for the existing subscriptions.

In the POA 5.5 the behavior was changed - webspace limits are stored in Service Template limits, so that Provider may sell resources through the PBA.


Provider has to configure the desired webspace limits in the POA Service Template and then synchronize subscriptions with Service Template through the PBA using the instructions in the Parallels Knolwedgebase article

Alternatively, Provider may configure resource rates for webspace limits in the PBA Service Plan and sell them as additional resources to customers.

Search Words

Method not found


Apache webspace limits

5b048d9bddf8048a00aba7e0bdadef37 caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae 2554725ed606193dd9bbce21365bed4e e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF